Round fractions down

- « fdiv

- fmod »

- PHP Manual
- Math Functions
- Round fractions down

# floor

(PHP 4, PHP 5, PHP 7, PHP 8)

floor — Round fractions down

### Description

floor(int|float `$num`): float

Returns the next lowest integer value (as float) by rounding down `num` if necessary.

### Parameters

`num`

  The numeric value to round

### Return Values

`num` rounded to the next lowest integer. The return value of floor() is still of type float.

### Changelog

Version | Description
--- | ---
8.0.0 | `num` no longer accepts internal objects which support numeric conversion.

### Examples

Example #1 floor() example

    <?phpecho floor(4.3);   // 4echo floor(9.999); // 9echo floor(-3.14); // -4?>

### See Also

- ceil() - Round fractions up
- round() - Rounds a float